MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::ConsoleLogListener Class Reference

`#include <MyGUI_ConsoleLogListener.h>`

Inheritance diagram for MyGUI::ConsoleLogListener:
[legend]

## Public Member Functions
| ConsoleLogListener ()
virtual | ~ConsoleLogListener ()
virtual void | log (const std::string &_section, LogLevel _level, const struct tm *_time, const std::string &_message, const char *_file, int _line)
bool | getEnabled () const
void | setEnabled (bool _value)
Public Member Functions inherited from MyGUI::ILogListener
virtual | ~ILogListener ()
virtual void | open ()
virtual void | close ()
virtual void | flush ()

## Detailed Description

Definition at line 16 of file MyGUI_ConsoleLogListener.h.

## Constructor & Destructor Documentation

MyGUI::ConsoleLogListener::ConsoleLogListener | ( |  | ) |

Definition at line 13 of file MyGUI_ConsoleLogListener.cpp.

MyGUI::ConsoleLogListener::~ConsoleLogListener | ( |  | ) |
| virtual

Definition at line 18 of file MyGUI_ConsoleLogListener.cpp.

## Member Function Documentation

bool MyGUI::ConsoleLogListener::getEnabled | ( |  | ) | const

Is log listener enabled.

Definition at line 28 of file MyGUI_ConsoleLogListener.cpp.

void MyGUI::ConsoleLogListener::log | ( | const std::string & | _section,
|  | LogLevel | _level,
|  | const struct tm * | _time,
|  | const std::string & | _message,
|  | const char * | _file,
|  | int | _line
| ) |  |
| virtual

Log message.

Reimplemented from MyGUI::ILogListener.

Definition at line 22 of file MyGUI_ConsoleLogListener.cpp.

void MyGUI::ConsoleLogListener::setEnabled | ( | bool | _value | ) |

Enable or disable log listener.

Definition at line 33 of file MyGUI_ConsoleLogListener.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ConsoleLogListener.h
- MyGUI_ConsoleLogListener.cpp